from intranet.search.core import storages, context

from .base import FormApiView


class RulesApiView(FormApiView):
    """ Получение списка дополнительных правил колдунщика
    """
    def get_response_data(self, form):
        repository = storages.StorageRepository()
        rules = context.ExternalWizardRuleContext.from_storage(repository)
        return rules.to_raw()
